import * as react_jsx_runtime from 'react/jsx-runtime';
import * as react from 'react';

type TruncateProps = {
	/**
	 * The children to render.
	 */
	children: React.ReactNode;
	/**
	 * The maximum length of the text.
	 */
	length?: number;
	/**
	 * The mode of Button. This will change the color of the Button.
	 */
	mode?: "dark" | "light" | "system" | "alt-system";
	/**
	 * The type of focus for the Button. This will change the color
	 * of the focus ring around the Button.
	 */
	focusMode?: "dark" | "light" | "system" | "alt-system";
};

declare const Truncate: ({ children, length, mode, focusMode, }: TruncateProps) => number | bigint | boolean | Iterable<react.ReactNode> | Promise<string | number | bigint | boolean | react.ReactPortal | react.ReactElement<unknown, string | react.JSXElementConstructor<any>> | Iterable<react.ReactNode> | null | undefined> | react_jsx_runtime.JSX.Element | null | undefined;

export { Truncate };
